# @haul-bundler/basic-bundle-webpack-plugin

[![Version][version]][package]   

[![PRs Welcome][prs-welcome-badge]][prs-welcome]
[![MIT License][license-badge]][license]
[![Chat][chat-badge]][chat]
[![Code of Conduct][coc-badge]][coc]

Basic bundle plugin for Haul and Webpack. This module is intended for internal use.

Basic bundle is a regular plain JavaScript bundle, where all modules are stored in a single file.

__When using `@haul-bundler/cli bundle` command, this plugin will be added and configured automatically__, based on passed options.

You can read more about Haul here: https://github.com/callstack/haul.

## API

```ts
import BasicBundleWebpackPlugin from '@haul-bundler/basic-bundle-webpack-plugin';

new BasicBundleWebpackPlugin({
  bundle: true, // set true when generating static bundle and false when serving from packager server
  sourceMap: true, // whether to generate source maps
  preloadBundles: [] // bundle names to preload
});
```

<!-- badges (common) -->

[license-badge]: https://img.shields.io/npm/l/@haul-bundler/basic-bundle-webpack-plugin.svg?style=flat-square
[license]: https://opensource.org/licenses/MIT
[prs-welcome-badge]: https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square
[prs-welcome]: http://makeapullrequest.com
[coc-badge]: https://img.shields.io/badge/code%20of-conduct-ff69b4.svg?style=flat-square
[coc]: https://github.com/callstack/haul/blob/master/CODE_OF_CONDUCT.md
[chat-badge]: https://img.shields.io/badge/chat-discord-brightgreen.svg?style=flat-square&colorB=7289DA&logo=discord
[chat]: https://discord.gg/zwR2Cdh

[version]: https://img.shields.io/npm/v/@haul-bundler/basic-bundle-webpack-plugin.svg?style=flat-square
[package]: https://www.npmjs.com/package/@haul-bundler/basic-bundle-webpack-plugin
